version: "3.8"

networks: 
    app-network:
        driver: bridge

services:
    app:
        build:
            args:
                user: application
            context: .
            dockerfile: ./docker/app/Dockerfile
        restart: always
        volumes:
            - .:/var/www/app
        networks:
            - app-network
    nginx:
        image: nginx:latest
        restart: always
        volumes:
            - ./docker/config/nginx/default.conf:/etc/nginx/conf.d/default.conf
            - .:/var/www/app
        working_dir: /etc/nginx
        ports: 
            - 80:80
            - 443:443
        depends_on: 
            - app
        networks: 
            - app-network